Bug 6863 - [UPDATE REQUEST] transmission 2.84 -> 2.92
: [UPDATE REQUEST] transmission 2.84 -> 2.92
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-20 05:43 MSK by Andrey Bondrov
Modified: 2016-04-05 17:49 MSD (History)
3 users (show)

See Also:
RPM Package: transmission
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
ss (348.89 KB, image/png)
2016-03-31 14:13 MSD, Vladimir Potapov
Details
ss2 (222.41 KB, image/png)
2016-03-31 14:14 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-03-20 05:43:50 MSK
New version of Transmission was released.
Comment 1 Andrey Bondrov 2016-03-20 05:56:14 MSK
Advisory: "Update Transmission to new version 2.92"

https://abf.rosalinux.ru/build_lists/2628048
https://abf.rosalinux.ru/build_lists/2628049

P.S. drakbt requires transmission. Please check if drakbt works at all, it wasn't updated for years. If it no longer works, we should drop it.
Comment 2 Vladimir Potapov 2016-03-24 19:14:00 MSK
transmission-qt (5) drop russian translation
******************************************
QA Denied

P.S. drakbt don't work, drop it!
Comment 3 VictorR2007 2016-03-25 09:09:34 MSK
Странно.
Файлы локализации есть, но программа их не видит.
Посмотрел в других дистрибутивах.
В некоторых устанавливают локали в %{_datadir}/qt5/translations/
пробовал, но не помогло.
Comment 4 Andrey Bondrov 2016-03-25 10:37:15 MSK
В старой версии был патч: https://abf.rosalinux.ru/import/transmission/commit/b487b335df174caff7cf97b368481d5e195fbbe0

Возможно, для новой версии надо тоже что-то такое сделать.
Comment 5 VictorR2007 2016-03-26 13:55:52 MSK
(In reply to comment #4)
> В старой версии был патч:
> https://abf.rosalinux.ru/import/transmission/commit/
> b487b335df174caff7cf97b368481d5e195fbbe0
> 
> Возможно, для новой версии надо тоже что-то такое сделать.

Похоже, совсем не это.
Два дня фигнёй маялся.
Ничего не помогает.
Хотя сразу искал возможную подсказку здесь
https://github.com/KaOSx/apps/blob/master/transmission-qt/PKGBUILD
Там нет совсем вызова lrelease, но скомпиленные файлы локализации есть.
Но не получилось собрать по их параметрам.
Да и было неизвестно, работают ли у них локали.
Сейчас не выдержал.
Скачал их образ livecd.
Загрузился и подключив свап,
установил transmission-qt.
Русский язык подхватился без проблем.
До этого пробовал собирать по спекам suse и fedora.
Но у них небольшое отличие от нашего спека.
И результат такой-же.
Comment 6 VictorR2007 2016-03-26 14:06:42 MSK
Кстати, а не может быть ответом новый qt5?
У них все пакеты на qt5 были собраны на qt5 5.6.
Может не все на стабильной версии, но на rc точно.
Я это знаю, так-как ждал qt 5.6 у нас,
и было интересно, что пересобирают в ОС,
где на нею перешли раньше нас.
Comment 7 Andrey Bondrov 2016-03-26 17:23:54 MSK
(In reply to comment #6)
> Кстати, а не может быть ответом новый qt5?
> У них все пакеты на qt5 были собраны на qt5 5.6.
> Может не все на стабильной версии, но на rc точно.
> Я это знаю, так-как ждал qt 5.6 у нас,
> и было интересно, что пересобирают в ОС,
> где на нею перешли раньше нас.

Вряд ли дело в Qt 5.6. Я тогда позже гляну, почему в Transmission нет локализации.
Comment 8 VictorR2007 2016-03-26 22:07:54 MSK
Изначально эти строки показались неправильными.
pushd translations
for i in `ls *.ts`; do lrelease $i ; done
popd
Вроде всё должно уже быть в CMakeLists.txt.
И сейчас, спокойно оглядываясь на всё,
что нагуглил за сегодня,
то в комментариях к предыдущей версии 2.90 было,
что исправлены проблемы с локалями для qt.
Сейчас уже сложно вспомнить ссылку,
но попадался ChangeLog в апстриме с таким описанием.
Comment 9 Denis Silakov 2016-03-29 00:40:11 MSD
(In reply to comment #5)
> (In reply to comment #4)
> > В старой версии был патч:
> > https://abf.rosalinux.ru/import/transmission/commit/
> > b487b335df174caff7cf97b368481d5e195fbbe0
> > 
> > Возможно, для новой версии надо тоже что-то такое сделать.
> 
> Похоже, совсем не это.

Это, это:)

New build lists with fixed localization:
https://abf.rosalinux.ru/build_lists/2629334
https://abf.rosalinux.ru/build_lists/2629335
Comment 10 Vladimir Potapov 2016-03-31 09:10:54 MSD
в версии для qt5 перевод появился. 
Но - если поставить transmission-qt4 то там тоже нет перевода :-(
Comment 11 Denis Silakov 2016-03-31 10:21:10 MSD
Так transmission-qt4 мы уже давно не собираем:) Ты наверное поставил transmission-qt4-2.81 из main/release.
Comment 12 Vladimir Potapov 2016-03-31 14:13:29 MSD
Created attachment 4427 [details]
ss

Ярлык бы еще перевести.
Comment 13 Vladimir Potapov 2016-03-31 14:14:52 MSD
Created attachment 4428 [details]
ss2

скрин при поиске
Comment 14 Denis Silakov 2016-03-31 15:03:31 MSD
(In reply to comment #13)
> Created attachment 4428 [details]
> ss2
> 
> скрин при поиске

New build lists:
https://abf.io/build_lists/2629527
https://abf.io/build_lists/2629528
Comment 15 Vladimir Potapov 2016-03-31 16:17:02 MSD
The update is sent to expanded testing
***************************************
Comment 16 Vladimir Potapov 2016-04-05 17:37:22 MSD
transmission-2.92-3
https://abf.io/build_lists/2629527
https://abf.io/build_lists/2629528
*********************** Advisory *************************
Update Transmission to new version 2.92
**********************************************************
QA Verified